Bug 1419541 - [ceph-ansible] Underscore in cluster name getting ignored during cluster creation in some cases
Summary: [ceph-ansible] Underscore in cluster name getting ignored during cluster crea...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: 3.0
Assignee: Sébastien Han
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 13:14 UTC by Vasishta
Modified: 2017-07-03 07:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-03 07:29:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ansible ansible issues 21067 0 None None None 2017-02-06 16:22:25 UTC

Description Vasishta 2017-02-06 13:14:01 UTC
Description of problem:
Underscore in cluster name given in all.yml is getting ignored during creation of the cluster in some cases. 

Version-Release number of selected component (if applicable):
ceph-ansible-2.1.6-1.el7scon.noarch

How reproducible:
Always when name given is in '<number>_<number>_..' format

Steps to Reproduce:
1. Provide cluster name in '<number>_<number>_..' format
2. run 'ansible-playbook site.yml'

Actual results:
Cluster gets created with name in the format <number><number>.. format 

Expected results:
Cluster should get created with name in the format <number>_<number>_..

Additional info:
Some cases I considered -
Name given - Cluster created in the name
2_2_2      - 222
7_3        - 73

Comment 3 seb 2017-02-06 13:32:42 UTC
This is an ansible bug, so the only thing to do here is to document this.

Comment 4 Ken Dreyer (Red Hat) 2017-02-06 15:08:21 UTC
What is the ansible bug number?

Comment 5 seb 2017-02-06 15:50:37 UTC
I briefly went through the issues in ansible, I couldn't find anything. I'll have another look and submit an issue if I don't find anything.

Comment 6 seb 2017-02-06 16:17:14 UTC
Et voilà https://github.com/ansible/ansible/issues/21067

Comment 7 Ken Dreyer (Red Hat) 2017-02-06 16:22:25 UTC
Thanks!

Comment 8 Ken Dreyer (Red Hat) 2017-03-03 17:38:54 UTC
From the linked Ansible bug, you must quote "integer_integer" values with "" (quotes).

Would you please try this again with quotes?

Comment 10 Vasishta 2017-07-03 07:29:12 UTC
Hi All,

As mentioned in Comment 8 I quoted cluster name ("integer_integer") and it is working fine.
From comment https://github.com/ansible/ansible/issues/21067#issuecomment-277737780 it seems that this is not an issue as its a yaml convention to quote variable names.

Closing this BZ as NOTABUG, please let me know if there are any concerns. 

Regards,
Vasishta


Note You need to log in before you can comment on or make changes to this bug.